# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Config/Tiny.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Text.pm) perl(Socket.pm) perl(Test/More.pm) perl(WWW/TypePad.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(Moose.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name WWW-TypePad-CmdLine
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Helper library for writing WWW::TypePad apps
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BT/BTROTT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
*WWW::TypePad::CmdLine* is a helper library for writing command-line.applications that use *WWW::TypePad*. It handles the one-time OAuth
authentication flow, config file setup, and storage of access tokens.

Tokens and configuration are stored between runs of your application in
a config file. By default, that config file will be located at:

    File::Spec->catfile( File::HomeDir->my_data, '.www-typepad-info' )

*File::HomeDir->my_data* is an OS-aware data directory. On OS X, for
example, it's ~/Library/Application Support.

*WWW::TypePad::CmdLine* automatically adds a `--config' command-line
option for your application, so that it's easy to support different locations
for configuration files.

On the first execution of a script using *WWW::TypePad::CmdLine*, you'll
need to set the `TP_CONSUMER_KEY' and `TP_CONSUMER_SECRET' environment
variables to the consumer key and secret for your TypePad application,
respectively. You can also set `TP_HOST' to a host other than
`api.typepad.com'. Once the configuration file is saved after the first
call to *initialize*, future runs of your script won't require these
environment variables.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/W*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

